Page MenuHomePhabricator

tests: stabilize test-subrepo-svn.t on Windows
ClosedPublic

Authored by mharbison72 on Jan 8 2020, 8:28 PM.

Details

Summary

This partially reverts 991e4404e910, because the URL form of C:\... gets
escaped to C%3A/..., which breaks the substitution of $TESTTMP.

The forget command on 'notafile*' errored out with:

notafile*: The filename, directory name, or volume label syntax is incorrect

which I think is because '*' isn't a legal character in a file name (though I
can't trigger this directly from MSYS or cmd.exe for some reason).

Diff Detail

Repository
rHG Mercurial
Lint
Automatic diff as part of commit; lint not applicable.
Unit
Automatic diff as part of commit; unit tests not applicable.

Event Timeline

mharbison72 created this revision.Jan 8 2020, 8:28 PM
pulkit accepted this revision.Jan 14 2020, 10:02 AM
This revision is now accepted and ready to land.Jan 14 2020, 10:02 AM
pulkit added a comment.EditedJan 14 2020, 10:57 AM

The test now fails on linux.

--- /home/pulkit/repo/hgpush/tests/test-subrepo-svn.t
+++ /home/pulkit/repo/hgpush/tests/test-subrepo-svn.t.err
@@ -87,10 +87,10 @@
                
   $ hg debugsub                         
   path s                                        
-   source   file://*/svn-repo/src (glob)
+   source   file:/*/$TESTTMP/svn-repo/src (glob)
    revision 2                       
   path subdir/s     
-   source   file://*/svn-repo/src (glob)
+   source   file:/*/$TESTTMP/svn-repo/src (glob)
    revision 2
                                         
 change file in svn and hg, commit               
@@ -113,10 +113,10 @@
   At revision 3.
   $ hg debugsub                         
   path s                                        
-   source   file://*/svn-repo/src (glob)
+   source   file:/*/$TESTTMP/svn-repo/src (glob)
    revision 3                                        
   path subdir/s
-   source   file://*/svn-repo/src (glob)
+   source   file:/*/$TESTTMP/svn-repo/src (glob)                                                              
    revision 2

 missing svn file, commit should fail
@@ -235,10 +235,10 @@

   $ hg debugsub
   path s
-   source   file://*/svn-repo/src (glob)
+   source   file:/*/$TESTTMP/svn-repo/src (glob)
    revision 3
   path subdir/s
-   source   file://*/svn-repo/src (glob)
+   source   file:/*/$TESTTMP/svn-repo/src (glob)
    revision 2

 verify subrepo is contained within the repo directory

ERROR: test-subrepo-svn.t output changed
pulkit requested changes to this revision.Jan 14 2020, 10:58 AM
This revision now requires changes to proceed.Jan 14 2020, 10:58 AM
mharbison72 edited the summary of this revision. (Show Details)Jan 14 2020, 1:17 PM
mharbison72 updated this revision to Diff 19265.
pulkit accepted this revision.Jan 14 2020, 4:48 PM
This revision is now accepted and ready to land.Jan 14 2020, 4:48 PM
mharbison72 edited the summary of this revision. (Show Details)Jan 14 2020, 5:21 PM
mharbison72 updated this revision to Diff 19269.
pulkit accepted this revision.Jan 16 2020, 11:10 AM
This revision was automatically updated to reflect the committed changes.